# Uses of Class
org.apache.lucene.monitor.MatchingQueries

- ## Uses of MatchingQueries in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return MatchingQueries
  Modifier and Type
  Method
  Description
  `<T extends QueryMatch>
  MatchingQueries<T>`
  Monitor.`match(Document doc, MatcherFactory<T> factory)`
  Match a single `Document` against the queryindex, calling a `CandidateMatcher` produced by the supplied `MatcherFactory` for each possible matching query.